ExifInfo (JHOVE Documentation)
Date: 2013-09-08

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.harvard.hul.ois.jhove.module.wave
Class ExifInfo

    java.lang.Object
      edu.harvard.hul.ois.jhove.module.wave.ExifInfo

    public class ExifInfo

extends java.lang.Object

Encapsulation of Exif information for a Wave file. Exif sound information doesn't closely follow Exif image information, so we don't particularly try to force property names to match.

Author:
  Gary McGath
See Also:
  `ExifIFD`

Constructor Summary
`ExifInfo()`

Method Summary
`Property` | `buildProperty()` Constructs a property and returns it.
`protected void` | `setExifVersion(java.lang.String version)` Converts the raw 4-byte array into a version string and stores it.
`protected void` | `setMakerNote(byte[] note)` Sets the maker note.
`protected void` | `setManufacturer(java.lang.String file)` Sets the manufacturer of the equipment that produced the file.
`protected void` | `setModel(java.lang.String file)` Sets the model of the equipment that produced the file.
`protected void` | `setRelatedImageFile(java.lang.String file)` Sets the related image file name.
`protected void` | `setTimeCreated(java.lang.String time)` Sets the creation time as an ASCII string.
`protected void` | `setUserComment(java.lang.String comment)` Sets the user comment.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ExifInfo

    public ExifInfo()

Method Detail

### buildProperty

    public Property buildProperty()

  Constructs a property and returns it.

### setExifVersion

    protected void setExifVersion(java.lang.String version)

  Converts the raw 4-byte array into a version string and stores it.

### setRelatedImageFile

    protected void setRelatedImageFile(java.lang.String file)

  Sets the related image file name.

### setTimeCreated

    protected void setTimeCreated(java.lang.String time)

  Sets the creation time as an ASCII string.

### setManufacturer

    protected void setManufacturer(java.lang.String file)

  Sets the manufacturer of the equipment that produced the file.

### setModel

    protected void setModel(java.lang.String file)

  Sets the model of the equipment that produced the file.

### setMakerNote

    protected void setMakerNote(byte[] note)

  Sets the maker note.

### setUserComment

    protected void setUserComment(java.lang.String comment)

  Sets the user comment.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD